//@include "json2.jsx"

if(typeof($)=='undefined')
    $={};

$.ai = {
    getActiveDocumentData : function() {
        try {
            var doc = app.activeDocument;
            if (doc){
                return JSON.stringify({
                    fullName: doc.fullName ? doc.fullName.fsName : '',
                    name: doc.name,
                    saved: doc.saved
                });
            } else {
				return null;
			}
        }
        catch (error) { return null; }
    },
    saveActiveDocument : function() {
        try {
            var doc = app.activeDocument;
            if(doc && doc.fullName){
                var docFile = doc.fullName;
                if (docFile.exists) {
                    if (!doc.saved) {
                        doc.save();
                        doc.saved = true;
                    }
                    return true;
                } else {
                    var newDocFile = docFile.saveDlg("Save as", "*.ai");
                    if (newDocFile) {
                        doc.saveAs(newDocFile);
                        doc.saved = true;
                        return true;
                    } else {
                        return false;
                    }
                }
            }
        }
        catch (error) {
            return false;
        }
    }
}
